summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndy Wingo <wingo@pobox.com>2006-12-15 18:33:48 +0100
committerAndy Wingo <wingo@pobox.com>2006-12-15 18:33:48 +0100
commit64893d3454e07ee0ea819b519eccc8cc5ac632fc (patch)
tree11cbd959db0e3ef7c44001538a8951e197bc520d
parent70da56710f4845e6f5c8c185895ee03fc461efcc (diff)
parent858c8e27d3b4d4e5d38e88ad0066b17846ff70e5 (diff)
downloadguile-gnome-64893d3454e07ee0ea819b519eccc8cc5ac632fc.tar.gz
merge
-rw-r--r--ChangeLog12
-rw-r--r--NEWS14
-rw-r--r--autogen-pkg.sh2
-rwxr-xr-xscripts/maint/add-changelog-entry2
-rwxr-xr-xscripts/maint/changelog-log-release2
-rwxr-xr-xscripts/maint/commit-release10
-rwxr-xr-xscripts/maint/make-release-note4
-rwxr-xr-xscripts/maint/prepare-news-entry8
-rwxr-xr-xscripts/maint/prepare-release6
9 files changed, 42 insertions, 18 deletions
diff --git a/ChangeLog b/ChangeLog
index 662531b..740e4d6 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,15 @@
+2006-12-15 Andy Wingo <wingo@pobox.com>
+
+ * == Released guile-gnome-platform version 2.15.90 ==
+
+2006-12-15 Andy Wingo <wingo@pobox.com>
+
+ * scripts/maint/prepare-release:
+ * scripts/maint/make-release-note:
+ * scripts/maint/commit-release:
+ * autogen-pkg.sh (release_manager): Update scripts. I hope they
+ work!
+
2006-12-08 Andy Wingo <wingo@pobox.com>
* autogen-pkg.sh: Require the newly-released g-wrap 1.9.7.
diff --git a/NEWS b/NEWS
index e1ef642..4160c81 100644
--- a/NEWS
+++ b/NEWS
@@ -1,7 +1,7 @@
guile-gnome-pkg NEWS --- history of user-visible changes.
-Copyright (C) 2004,2005 Free Software Foundation, Inc.
+Copyright (C) 2004,2005,2006 Free Software Foundation, Inc.
See the end for copying conditions of this file.
-Last updated 06 Mar 2005.
+Last updated 15 Dec 2006.
guile-gnome-pkg is the umbrella package for guile-gnome, which can
@@ -9,6 +9,14 @@ contain any number of sub-packages. This file documents the user-visible
changes in guile-gnome-pkg only.
+guile-gnome-pkg 2.15.90 - Andy Wingo, 2006-12-15
+================================================
+
+* Require G-Wrap 1.9.7.
+
+* Update to use bzr as the version control system, instead of tla.
+
+
guile-gnome-pkg 2.7.99 - Andy Wingo, 2005-03-06
===============================================
@@ -23,7 +31,7 @@ guile-gnome-pkg 2.7.98 - Andy Wingo, 2005-01-11
* Initial release with NEWS.
-Copyright (C) 2004 Free Software Foundation, Inc.
+Copyright (C) 2004,2005,2006 Free Software Foundation, Inc.
Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
diff --git a/autogen-pkg.sh b/autogen-pkg.sh
index 0162d71..94207f9 100644
--- a/autogen-pkg.sh
+++ b/autogen-pkg.sh
@@ -138,7 +138,7 @@ autogen_pkg()
# versioning
get_version $packages
if bzr whoami | grep -qv "$release_manager"; then
- version="$version+$source";
+ version="$version+unofficial";
fi
echo "+ configuring tree as $package, version $version"
diff --git a/scripts/maint/add-changelog-entry b/scripts/maint/add-changelog-entry
index 843076a..86eeb03 100755
--- a/scripts/maint/add-changelog-entry
+++ b/scripts/maint/add-changelog-entry
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
file=$1
comment=$2
diff --git a/scripts/maint/changelog-log-release b/scripts/maint/changelog-log-release
index 3115161..f09e3f6 100755
--- a/scripts/maint/changelog-log-release
+++ b/scripts/maint/changelog-log-release
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
dir=$1
package=$2
diff --git a/scripts/maint/commit-release b/scripts/maint/commit-release
index 179d4d5..83ff166 100755
--- a/scripts/maint/commit-release
+++ b/scripts/maint/commit-release
@@ -1,4 +1,6 @@
-#!/bin/sh
+#!/bin/bash
+
+set -e
package=$1
version=$2
@@ -8,14 +10,14 @@ if test -z "$package" -o -z "$version"; then
exit 1
fi
-dir=$(cd `dirname $0`/.. && pwd)
+dir=$(cd `dirname $0`/../.. && pwd)
echo "* commit-release in $dir"
cd $dir
for i in `find . -name VERSION`; do
echo "* setting $i to $version"
echo $version > $i
- ./scripts/add-changelog-entry $i "Bumped to $version."
+ ./scripts/maint/add-changelog-entry $i "Bumped to $version."
done
for i in *; do
@@ -28,6 +30,6 @@ done
packages="$packages ."
for i in $packages; do
- ./scripts/changelog-log-release $i $package $version
+ ./scripts/maint/changelog-log-release $i $package $version
(cd $i && bzr commit -m "Released $package $version")
done
diff --git a/scripts/maint/make-release-note b/scripts/maint/make-release-note
index 5a3b17e..5062630 100755
--- a/scripts/maint/make-release-note
+++ b/scripts/maint/make-release-note
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
package=$1
version=$2
@@ -7,7 +7,7 @@ if test -z "$package" -o -z "$version"; then
exit 1
fi
-dir=$(cd `dirname $0`/.. && pwd)
+dir=$(cd `dirname $0`/../.. && pwd)
cd $dir
cat <<EOF
diff --git a/scripts/maint/prepare-news-entry b/scripts/maint/prepare-news-entry
index 08d80e1..9673909 100755
--- a/scripts/maint/prepare-news-entry
+++ b/scripts/maint/prepare-news-entry
@@ -1,4 +1,6 @@
-#!/bin/sh
+#!/bin/bash
+
+set -e
dir=$1
release=$2
@@ -26,10 +28,10 @@ echo >> NEWS.new
echo >> NEWS.new
echo >> NEWS.new
# new news
-heading="$package $version - `tla whoami | sed -e 's, <.*,,'`, `date +'%Y-%m-%d'`"
+heading="$package $version - `bzr whoami | sed -e 's, <.*,,'`, `date +'%Y-%m-%d'`"
echo $heading >> NEWS.new
len=`echo $heading | wc -m`
-for ((i=1; i<$len; i=$i+1)); do
+for ((i=1; $i<$len; i=$i+1)); do
echo -n = >> NEWS.new
done
echo >> NEWS.new
diff --git a/scripts/maint/prepare-release b/scripts/maint/prepare-release
index 5d0117d..a4538e8 100755
--- a/scripts/maint/prepare-release
+++ b/scripts/maint/prepare-release
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
package=$1
version=$2
@@ -8,7 +8,7 @@ if test -z "$package" -o -z "$version"; then
exit 1
fi
-dir=$(cd `dirname $0`/.. && pwd)
+dir=$(cd `dirname $0`/../.. && pwd)
echo "* prepare-release in $dir"
cd $dir
@@ -22,5 +22,5 @@ done
packages="$packages ."
for i in $packages; do
- ./scripts/prepare-news-entry $i $package $version
+ ./scripts/maint/prepare-news-entry $i $package $version
done